%define name	 ecasound
%define version	 2.3.0
%define release  1mdk

%define python_sitepkgsdir %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)
%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%define libname %mklibname %name
%define	Summary	Sound processing, multitrack recording, and mixing tools

Summary:	%{Summary}
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://www.wakkanet.fi/~kaiv/ecasound/welcome.html
Source: 	%{name}-%{version}.tar.bz2
Source1:        %{name}16.png
Source2:        %{name}32.png
Source3:        %{name}48.png
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjack-devel python-devel libalsa-devel libaudiofile-devel
BuildRequires:	ncurses-devel libarts-devel

%description
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

%package 	-n %libname-devel
Summary: 	Ecasound - development files
Group: 		Development/Other
	
%description -n %libname-devel
The ecasound-devel package contains the header files and static libraries
necessary for building apps like ecawave and ecamegapedal that
directly link against ecasound libraries.

%package  	-n pyecasound
Summary: 	Python bindings to ecasound control interface.
Group: 		Sound
Requires: 	ecasound

%description -n pyecasound
Python bindings to Ecasound Control Interface (ECI).

%prep
%setup -q

%build
%configure --with-largefile
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

cd pyecasound
%python_compile_opt
%python_compile
install *.pyc *.pyo ${RPM_BUILD_ROOT}%{python_sitepkgsdir}

# Icons
install -m644 %{SOURCE1} -D ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

# Menu
install -d ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="text" \\
		   section="Multimedia/Sound" \\
		   title="Ecasound" \\
		   longtitle="%{Summary}" \\
		   command="%{name} -c" \\
		   icon="%{name}.png"
?package(%{name}): needs="text" \\
		   section="Multimedia/Sound" \\
		   title="Eca Monitor" \\
		   longtitle="%{Summary}" \\
		   command="ecamonitor" \\
		   icon="%{name}.png"
?package(%{name}): needs="text" \\
		   section="Multimedia/Sound" \\
		   title="Eca Signalview" \\
		   longtitle="%{Summary}" \\
		   command="ecasignalview" \\
		   icon="%{name}.png"
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html
%doc Documentation/*.txt
%_bindir/eca*
#%config(noreplace) %{_sysconfdir}/ecasound/*
%{_datadir}/%name
%_mandir/man1/*
%_mandir/man5/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%files -n %libname-devel
%defattr(-, root, root)
%_bindir/libecasound-config
%_bindir/libecasoundc-config
%_includedir/kvutils/*.h
%_includedir/libecasound/*.h
%_includedir/libecasoundc/*.h
%_libdir/*.la
%_libdir/*.a

%files -n pyecasound
%defattr(-,root,root)
#%{python_sitepkgsdir}/*.so
%{python_sitepkgsdir}/*.py
%{python_sitepkgsdir}/*.pyc
%{python_sitepkgsdir}/*.pyo

%changelog
* Sat Aug 30 2003 Austin Acton <aacton@yorku.ca> 2.3.0-1mdk
- 2.3.0

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 2.2.3-4mdk
- python 2.3

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.2.3-3mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package
- use %%makeinstall_std macro

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 2.2.3-2mdk
- pyecasound does not provide ecasound

* Mon Apr 28 2003 Austin Acton <aacton@yorku.ca> 2.2.3-1mdk
- 2.2.3
- use mklibname

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 2.2.2-2mdk
- use default rc file location (/usr/share not /etc)

* Wed Mar 19 2003 Austin Acton <aacton@yorku.ca> 2.2.2-1mdk
- 2.2.2

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 2.2.1-1mdk
- 2.2.1

* Sat Feb 8 2003 Austin Acton <aacton@yorku.ca> 2.2.0-2mdk
- add wonderful improvements from Maxim Heijndijk <cchq@wanadoo.nl> (thanks!)
	- icons, menu entries, config file in /etc, auto python version detection
	  large file support, compiled pyecasound
- convert patches to scripts for easier updating (hopefully)

* Fri Jan 10 2003 Austin Acton <aacton@yorku.ca> 2.2.0-1mdk
- initial package
